%define build_plf 0
%{?_with_plf: %global build_plf 1}

%define name	freetype2
%define	version	2.1.10
%define rel	9.4.20060

%if ! %{build_plf}
%define	release	%{rel}mdk
%else
%define release	%{rel}plf
%endif

%define major	6
%define libname	%mklibname freetype %{major}

Name:		%name
Summary:	A free and portable TrueType font rendering engine
Version:	%version
Release:	%release
License:	FreeType License/GPL
URL:		http://www.freetype.org/
Source0:	ftp://ftp.freetype.org/pub/freetype/freetype2/freetype-%{version}.tar.bz2
Source1:	ftp://ftp.freetype.org/pub/freetype/freetype2/freetype-doc-%{version}.tar.bz2
# (fc) 2.1.10-2mdk CVS bug fixes, mostly for embolding
Patch0:		freetype-2.1.10-cvsfixes.patch.bz2
# (fc) 2.1.10-3mdk put back internal API, used by xorg (Mdk bug #14636) (David Turner)
Patch1:		freetype-2.1.10-xorgfix.patch.bz2
# (fc) 2.1.10-5mdk fix autofit render setup (CVS)
Patch2:		freetype-2.1.10-fixautofit.patch.bz2
# (fc) 2.1.10-5mdk fix memleak (CVS)
Patch3:		freetype-2.1.10-memleak.patch.bz2
# (fc) 2.1.10-7mdk fix kerning wrongly disabled (CVS)
Patch5:		freetype-2.1.10-fixkerning.patch.bz2
# (fc) 2.1.10-9mdk fix bad anti-aliasing (CVS)
Patch6:		freetype-2.1.10-fixaliasing.patch.bz2

# security patches
Patch7:		freetype-2.1.10-CVE-2006-0747.patch.bz2
Patch8:		freetype-2.1.10-ttkern-dos.patch.bz2
Patch9:		freetype-2.1.10-CVE-2006-2661.patch.bz2
Patch10:	freetype-2.1.10-CVE-2006-1861.patch.bz2
Patch11:	freetype-2.1.10-CVE-2006-1861-2.patch.bz2
Patch12:	freetype-2.1.10-CVE-2006-3467.patch

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	zlib-devel
Group:		System/Libraries

%description
The FreeType2 engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType2 is a library, not a
stand-alone application, though some utility applications are included

%package -n %{libname}
Summary:	Shared libraries for a free and portable TrueType font rendering engine
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
The FreeType2 engine is a free and portable TrueType font rendering
engine.  It has been developed to provide TT support to a great
variety of platforms and environments. Note that FreeType2 is a
library, not a stand-alone application, though some utility
applications are included
%if %{build_plf}

This PLF build has bytecode interpreter enabled
which is covered by software patent
%endif

%package -n %{libname}-devel
Summary:	Header files and static library for development with FreeType2
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	zlib-devel
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package is only needed if you intend to develop or compile applications
which rely on the FreeType2 library. If you simply want to run existing
applications, you won't need this package.

%package -n %{libname}-static-devel
Summary:	Static libraries for programs which will use the FreeType2 library
Group:		Development/C
Requires:	%{libname}-devel = %{version}
Obsoletes:	%{name}-static-devel
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n %{libname}-static-devel
This package includes the static libraries necessary for 
developing programs which will use the FreeType2 library.

If you are going to develop programs which use the FreeType2 library
you should install freetype2-devel.  You'll also need to have the 
freetype2 package installed.

%prep
%setup -q -n freetype-%version -b 1
%patch0 -p1 -b .cvsfixes
%patch1 -p1 -b .xorgfix
%patch2 -p1 -b .fixautofit
%patch3 -p1 -b .memleak
%patch5 -p1 -b .fixkerning
%patch6 -p1 -b .fixaliasing
%patch7 -p1 -b .cve-2006-0747
%patch8 -p1 -b .ttkern-dos
%patch9 -p1 -b .cve-2006-2661
%patch10 -p1 -b .cve-2006-1861
#%patch11 -p1 -b .cve-2006-1861-2
%patch12 -p1 -b .cve-2006-3467

%if %{build_plf}
perl -pi -e 's|/\* #define TT_CONFIG_OPTION_BYTECODE_INTERPRETER \*/|#define TT_CONFIG_OPTION_BYTECODE_INTERPRETER|' include/freetype/config/ftoption.h
%endif

%build
%{?__cputoolize: %{__cputoolize} -c builds/unix}

GCC_VERSION=`gcc --version | grep "^gcc" | awk '{ print $3 }' | sed 's+\([0-9]\)\.\([0-9]\)\..*+\1\2+'`
if [ $GCC_VERSION -lt 34 ]; then
#old gcc is generating wrong code with optimizations
export CFLAGS="-O"
fi

# some apps crash on ppc without this
%ifarch ppc
export CFLAGS="`echo %optflags |sed s/O2/O0/`"
%endif

%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/freetype-config
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/freetype2/freetype/config/ftconfig.h

%clean
rm -fr %buildroot

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc docs/*
%{_bindir}/freetype-config
%{_libdir}/*.so
%{_libdir}/*.la
%dir %{_includedir}/freetype2
%{_includedir}/freetype2/*
%{_includedir}/ft2build.h
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*
%multiarch %multiarch_bindir/freetype-config
%multiarch %dir %multiarch_includedir/freetype2
%multiarch %multiarch_includedir/freetype2/*

%files -n %{libname}-static-devel
%defattr(-, root, root)
%{_libdir}/*.a

%changelog
* Mon Jul 17 2006 Stew Benedict <sbenedict@mandriva.com> 2.1.10-9.4.20060mdk
- P12: security fix for CVE-2006-3467 (missed part of CVE-2006-1861)

* Tue Jun 13 2006 Stew Benedict <sbenedict@mandriva.com> 2.1.10-9.3.20060mdk
- back off P11 - introduces too many recursive lib issues

* Thu Jun 08 2006 Stew Benedict <sbenedict@mandriva.com> 2.1.10-9.2.20060mdk
- P7: security fix for CVE-2006-0747
- P8: security fix for ttkern DoS
- P9: security fix for CVE-2006-2661
- P10: security fix for CVE-2006-1861
- P11: more fixes for CVE-2006-1861

* Wed Oct 05 2005 Vincent Danen <vdanen@mandriva.com> 2.1.10-9.1.20060mdk 
- bugfix update for 2006.0

* Mon Sep 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.10-9mdk 
- Patch6 (David Turner): fix anti-aliasing rendering

* Tue Sep 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.10-8mdk 
- Remove patch4, it wasn't fixing the real problem which is in cairo

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.10-7mdk 
- Patch5 (CVS): fix disabled kerning

* Tue Aug 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.10-6mdk 
- Patch4 (Owen Taylor): fix font rendering in Cairo

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.10-5mdk 
- Patch2 (CVS): fix autofit render setup
- Patch3 (CVS): fix memleak

* Wed Aug 24 2005 Gtz Waschk <waschk@mandriva.org> 2.1.10-4mdk
- fix bug 17248

* Wed Aug 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.10-3mdk 
- Patch1 (David Turner): put back internal API used by xorg-x11 (Mdk bug #14636)

* Tue Aug 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.10-2mdk 
- Patch0 (CVS): various fixes (mostly embolding)

* Mon Jul 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.10-1mdk 
- Release 2.1.10
- Remove patches 0, 3, 4, 5, 6, 7 (merged upstream)

* Thu Mar 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.9-6mdk 
- Disable patches 1 & 2, they seems to alter CJK (Mdk bug #14725)

* Thu Mar 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.9-5mdk 
- Patch1 (CVS): fix ttf hints distortions
- Patch2 (CVS): fix ttf interpreter
- Patch3 (CVS): fix stroker for closed outlines and single points
- Patch4 (CVS): fix cff font load 
- Patch5 (CVS): fix size comparison for BDF files
- Patch6 (CVS): fix size comparison for PCF files
- Patch7 (CVS): fix fractional size handling

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.9-4mdk
- nuke lib64 rpaths
- multiarch freetype-config (for --libtool)

* Mon Jan 31 2005 Frederic Lepied <flepied@mandrakesoft.com> 2.1.9-3mdk
- multiarch

* Thu Jul 22 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1.9-2mdk
- use -O0 on ppc to prevent crashes with new fontconfig installed

* Mon Jul 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.9-1mdk
- Release 2.1.9
- Add check to lower optimizations for old gcc

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.8-2mdk
- Enable back optimizations (safe with gcc 3.4.x)

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.8-1mdk
- Release 2.1.8
- Remove patch0 (merged upstream)

* Tue Jan 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7-4mdk
- Patch0 (CVS): fix infinite loop in PDF viewers (Mdk bug #6640)

* Tue Jan 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7-3mdk
- Lower optimizations to -O, otherwise freetype2 crashes mkfontscale

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 2.1.7-2mdk
- rebuild for new pkgconfig Requires

* Tue Dec 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7-1mdk
- Release 2.1.7

* Wed Aug 28 2003 Laurent Culioli <laurent@pschit.net> 2.1.4-6mdk
- fix conditional build

* Fri Aug  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.4-5mdk
- Libification, cputoolize

* Wed Jul  9 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.4-4mdk
- Rebuild for latest rpm provides

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.4-3mdk
- Rebuild to get new devel dep/requires

* Sat Apr 26 2003 Stefan van der Eijk <stefan@eijk.nu> 2.1.4-2mdk
- rebuild

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.4-1mdk
- Release 2.1.4
- Remove patches 0, 1, 2, 3, 4, 5 (merged upstream)

* Tue Mar 11 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.3-12mdk
- Patch5: Fix possible double free condition exhausted by OOo and some
  other 3rd-party fonts having embedded bitmaps

* Wed Mar  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.3-11mdk
- Patch4 (CVS): fix zlib endless loop (touch 0123456789 ; gzip 0123456789 ; ftdump 0123456789.gz to test :)

* Thu Feb 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.1.3-10mdk
- Moved freetype2-tools to a standalone package, to avoid
  cyclical dependencies with XFree86.

* Thu Feb 27 2003 Stefan van der Eijk <stefan@eijk.nu> 2.1.3-9mdk
- BuildRequires: XFree86-devel

* Mon Feb 24 2003 Pixel <pixel@mandrakesoft.com> 2.1.3-8mdk
- fix memory leak with .pcf.gz files

* Fri Feb 21 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.1.3-7mdk
- Added tools

* Sun Feb  2 2003 Stefan van der Eijk <stefan@eijk.nu> 2.1.3-6mdk
- move Requires: zlib-devel from -static-devel package to -devel

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-5mdk
- Update patch0 to fix gzip file detection (from CVS)

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-4mdk
- Update patch0 to really link with zlib

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-3mdk
- Patch0 (CVS): use external zlib
- Patch1 (CVS): implement light hint
- Patch2 (CVS): fix bug with corrupted fonts and recursive composite glyphs

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-2mdk
- Remove patch0 (replaced with perl search&remplace) (Guillaume Rousse)

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3
- Remove patches 1, 2, 3, 4, 5, 6, 7 (merged upstream), 8 (no longer needed)

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-3mdk
- Add static subpackage (Mats D. Wichmann)

* Mon Nov  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-2mdk
- Patch8 (rawhide) : Add an experimental FT_Set_Hint_Flags() call

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- configure macro is back
- Patch1 (Rawhide): fix bug in PS hinter
- Patch2 (Rawhide): Support Type1 BlueFuzz value
- Patch3 (Rawhide): Another PS hinter bug fix (rawhide)
- Patch4 (CVS): fix outline transformation
- Patch5 (CVS): Backport autohinter improvements 
- Patch6 (Anthony Fok): prevent crash with broken TT fonts
- Patch7 (Rawhide): fix bug with PCF metrics
- Update patch0

* Thu May 16 2002 Yves Duret <yduret@mandrakesoft.com> 2.0.9-3mdk
- removed the 43 unusefull blank lines (??)
- plf-isazacion by Buchan Milne <bgmilne@cae.co.za>
  * enable the bytecode interpreter when built with --with plf

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.9-2mdk
- Automated rebuild in gcc3.1 environment

* Wed Mar 20 2002 David BAUDENS <baudens@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9
- devel: Requires: %%version-%%release and not only %%version
- Use ./configure
- Don't build static libraries
- Move documentation in devel package
- Spec clean up

* Tue Jan 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6.
- Added URL.

* Sun Oct 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5.
- fixed executable permission on docs files.
- s/Copyright/License/.

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Wed May 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3
- Remove patch0 (Type1 fonts are corrected)

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesot.com> 2.0.2-4mdk
- Spec patch from Abel Cheung to fix build on certain machines 
  (personally I have no idea why it happens).

* Mon Apr 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.2-3mdk
- patched t1load patch (Arnd Bergmann).

* Mon Apr 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.2-2mdk
- added Tom Kacvinsky patch to fix problem with ancient URW fonts,
  libXft segfaults, etc. (thanks to Arnd Bergmann).

* Sat Mar 31 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2 final.
- removedft2build patch.

* Mon Dec 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-0.20001211.1mdk
- Snapshot version from CVS (needed for xrender)
- Patch ft2build.h to use correct path (Fred Lepied)
- Remove patch1 (not longer needed)
- Remove patch2 (merged upstream)

* Sat Dec 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.1-1mdk
- new and shiny source bumped into cooker.
- obsolete patch as the bug is fixed.
- use RPM_OPT_FLAGS.

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-3mdk
- Include all modules in lib (no longer apply patch1)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Add config script to devel package
- correctly configure package

* Fri Nov 10 2000 Geoffrey Lee <snailtalk@manrakesoft.com> 2.0-1mdk
- really 2.0 release.

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-0.8.1mdk
- First mandrake release

* Thu Oct  5 2000 Ramiro Estrugo <ramiro@eazel.com>
- Created this thing
